org.apache.ode.bpel.compiler.bom

## Class ScopeLikeActivity

- java.lang.Object
- - org.apache.ode.bpel.compiler.bom.BpelObject
  - - org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor
    - - org.apache.ode.bpel.compiler.bom.Activity
      - - org.apache.ode.bpel.compiler.bom.ScopeLikeActivity

- All Implemented Interfaces:
    SourceLocation
  Direct Known Subclasses:
    InvokeActivity, ScopeActivity

      public class ScopeLikeActivity
      extends Activity

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor

      `JoinFailureSuppressor.SuppressJoinFailure`

  - ### Field Summary

    - ### Fields inherited from class org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor

      `__suppressJoinFailure`

    - ### Fields inherited from class org.apache.ode.bpel.compiler.bom.BpelObject

      `ATTR_LINENO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScopeLikeActivity(org.w3c.dom.Element el)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Scope` | `getScope()`

    - ### Methods inherited from class org.apache.ode.bpel.compiler.bom.Activity

      `getJoinCondition, getLinkSources, getLinkTargets, getName`

    - ### Methods inherited from class org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor

      `getSuppressJoinFailure`

    - ### Methods inherited from class org.apache.ode.bpel.compiler.bom.BpelObject

      `createBpelObject, getAttribute, getAttribute, getAttribute, getAttribute, getChildren, getChildren, getChildren, getColumnNo, getElement, getExtensibilityElement, getExtensibilityElements, getFirstChild, getFirstChild, getFirstExtensibilityElementElement, getLineNo, getNamespaceContext, getPath, getTextValue, getType, getURI, is11, is20Draft, isAttributeSet, rewriteTargetNS, setURI, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ScopeLikeActivity

          public ScopeLikeActivity(org.w3c.dom.Element el)

  - ### Method Detail

    - #### getScope

          public Scope getScope()